Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.classparser.manchester
Class ManchesterOWLClassParser

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.classparser.manchester.ManchesterOWLClassParser

All Implemented Interfaces:
  OWLClassParser

    public class ManchesterOWLClassParser

extends Object
implements OWLClassParser

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: Sep 5, 2005

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Constructor Summary
`ManchesterOWLClassParser()`

Method Summary
`void` | `checkClass(OWLModel owlModel, String expression)` Performs a test of a given expression and throws an Exception if the expression is currently invalid.
`void` | `checkHasValueFiller(OWLModel owlModel, String expression)`
`void` | `checkQuantifierFiller(OWLModel owlModel, String expression)`
`RDFSClass` | `parseClass(OWLModel owlModel, String expression)`
`Object` | `parseHasValueFiller(OWLModel owlModel, String expression)`
`RDFResource` | `parseQuantifierFiller(OWLModel owlModel, String expression)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManchesterOWLClassParser

    public ManchesterOWLClassParser()

Method Detail

### checkClass

    public void checkClass(OWLModel owlModel,
                           String expression)
                    throws OWLClassParseException

  Description copied from interface: `OWLClassParser`
  Performs a test of a given expression and throws an Exception if the expression is currently invalid.

  Specified by:
    `checkClass` in interface `OWLClassParser`
  Parameters:
    `owlModel` - the OWLModel to operate on
    `expression` - the expression
  Throws:
    `OWLClassParseException` - if expression cannot be parsed

### checkHasValueFiller

    public void checkHasValueFiller(OWLModel owlModel,
                                    String expression)
                             throws OWLClassParseException

  Specified by:
    `checkHasValueFiller` in interface `OWLClassParser`
  Throws:
    `OWLClassParseException`

### checkQuantifierFiller

    public void checkQuantifierFiller(OWLModel owlModel,
                                      String expression)
                               throws OWLClassParseException

  Specified by:
    `checkQuantifierFiller` in interface `OWLClassParser`
  Throws:
    `OWLClassParseException`

### parseClass

    public RDFSClass parseClass(OWLModel owlModel,
                                String expression)
                         throws OWLClassParseException

  Specified by:
    `parseClass` in interface `OWLClassParser`
  Throws:
    `OWLClassParseException`

### parseHasValueFiller

    public Object parseHasValueFiller(OWLModel owlModel,
                                      String expression)
                               throws OWLClassParseException

  Specified by:
    `parseHasValueFiller` in interface `OWLClassParser`
  Throws:
    `OWLClassParseException`

### parseQuantifierFiller

    public RDFResource parseQuantifierFiller(OWLModel owlModel,
                                             String expression)
                                      throws OWLClassParseException

  Specified by:
    `parseQuantifierFiller` in interface `OWLClassParser`
  Throws:
    `OWLClassParseException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.